headless
List headless imports
Returns a paginated list of headless imports for the authenticated Dromo organization.
GET
/
headless
/
imports
/
List headless imports
curl --request GET \
--url https://app.dromo.io/api/v1/headless/imports/ \
--header 'X-Dromo-License-Key: <api-key>'import requests
url = "https://app.dromo.io/api/v1/headless/imports/"
headers = {"X-Dromo-License-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Dromo-License-Key': '<api-key>'}};
fetch('https://app.dromo.io/api/v1/headless/imports/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 75,
"next": "https://app.dromo.io/api/v1/api/v1/headless/imports/?limit=10&offset=10",
"previous": "https://app.dromo.io/api/v1/api/v1/headless/imports/?limit=10&offset=10",
"results": [
{
"id": "94187d21-9820-420f-b08c-a80cbbf52604",
"schema_id": "94187d21-9820-420f-b08c-a80cbbf52604",
"status": "AWAITING_UPLOAD",
"original_filename": "user_data.csv",
"created_date": "2023-11-07T05:31:56Z",
"modified_date": "2023-11-07T05:31:56Z"
}
]
}Authorizations
This backend API key is different than your frontend license key. Please use the "Backend" license key from your Dromo Dashboard.
Query Parameters
starting index
total number of imports to return, defaults 100 max 1000
Response
200 - application/json
List headless imports
⌘I
List headless imports
